- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tbb::queuing_mutex::scoped_lock Class Reference

The scoped locking pattern. More...

`#include <queuing_mutex.h>`

Inheritance diagram for tbb::queuing_mutex::scoped_lock:

## Public Member Functions
| scoped_lock ()
| Construct lock that has not acquired a mutex. More...
| scoped_lock (queuing_mutex &m)
| Acquire lock on given mutex.
| ~scoped_lock ()
| Release lock (if lock is held).
void __TBB_EXPORTED_METHOD | acquire (queuing_mutex &m)
| Acquire lock on given mutex.
bool __TBB_EXPORTED_METHOD | try_acquire (queuing_mutex &m)
| Acquire lock on given mutex if free (i.e. non-blocking)
void __TBB_EXPORTED_METHOD | release ()
| Release lock.

## Detailed Description

The scoped locking pattern.

It helps to avoid the common problem of forgetting to release lock. It also nicely provides the "node" for queuing locks.

## Constructor & Destructor Documentation

tbb::queuing_mutex::scoped_lock::scoped_lock | ( | ) |  |
| inline

Construct lock that has not acquired a mutex.

Equivalent to zero-initialization of *this.

The documentation for this class was generated from the following file:

- queuing_mutex.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.